<?php
declare(strict_types=1);

namespace Catequil\Webshop\Repository;

use Catequil\Webshop\Model\WebshopInterface;
use Doctrine\Persistence\ObjectRepository;

/**
 * Interface WebshopRepositoryInterface
 *
 * @package Catequil\Webshop\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 *
 * @method WebshopInterface|null find(int $id)
 */
interface WebshopRepositoryInterface extends ObjectRepository
{
    public function findByDomain(string $domain): ?WebshopInterface;
}